models/Books.php
<?php

namespace app\models;

use Yii;
use yii\db\ActiveRecord;
use yii\behaviors\TimestampBehavior;

/**
 * This is the model class for table "books".
 *
 * @property int $id
 * @property string $title
 * @property string $description
 * @property string $author
 * @property int $pages
 * @property string $created_at
 * @property string|null $updated_at
 * @property string|null $deleted_at
 */
class Books extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'books';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['title', 'description', 'author', 'pages', 'created_at'], 'required'],
            [['pages'], 'integer'],
            [['created_at', 'updated_at', 'deleted_at'], 'safe'],
            [['title', 'description', 'author'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'title' => 'Title',
            'description' => 'Description',
            'author' => 'Author',
            'pages' => 'Pages',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
            'deleted_at' => 'Deleted At',
        ];
    }
}

controllers/BooksController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Books;
use yii\filters\AccessControl;
use yii\web\NotFoundHttpException;

class BooksController extends \yii\web\Controller
{
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::class,
                'rules' => [
                    [
                        'actions' => ['index', 'create', 'update', 'delete', 'logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ]
        ];
    }

    public function actionIndex()
    {
        $books = Books::find()
        ->where(['is', 'deleted_at', null])
        ->all();

        return $this->render('index', [
            'books' => $books
        ]);
    }

    public function actionCreate()
    {
        $request = \yii::$app->request;
        
        if($request->isPost) {
           
            $model = new Books();
            $model->attributes =  $request->post(); 
            $model->created_at = date('Y-m-d H:i:s');
            $model->save();      
  
            return $this->redirect(['books/index']);
        }

        return $this->render('create');
    }

    public function actionUpdate($id)
    {
        $model = Books::findOne($id);

        if(!$model) {
            throw new NotFoundHttpException("Página não encontrada");
        }

        $request = \yii::$app->request;
        if ($request->isPost) {
            $model->attributes =  $request->post(); 
            $model->updated_at = date('Y-m-d H:i:s');
            $model->save();
        
            return $this->redirect(['books/index']);
        }

        return $this->render('update', [
            'model' => $model
        ]);
    }

    public function actionDelete($id)
    {
        $model = Books::findOne($id);
        if(!$model) {
            throw new NotFoundHttpException("Página não encontrada");
        }

        $model->deleted_at = date('Y-m-d H:i:s');
        $model->save();
        return $this->redirect(['books/index']);
    }
}

views/books/create.php
<?php
    /* @var $this yii\web\View */
    use yii\helpers\Url;
    
    ?>
    <h1>New book</h1>


    <form name="form" method="post" action="<?= Url::to(['books/create']); ?>">

    <input type="hidden" name="<?= \yii::$app->request->csrfParam; ?>" 
                value="<?= \yii::$app->request->csrfToken; ?>">

        <div class="form-group">
            <label for="title">Titlr:</label>
            <input type="text" class="form-control" id="title" name="title" placeholder="title">
        </div>
        <div class="form-group">
            <label for="author">Author:</label>
            <input type="text" class="form-control" id="author" name="author" placeholder="Author">
        </div>
        <div class="form-group">
            <label for="description">Description:</label>
            <input type="text" class="form-control" id="description" name="description" placeholder="Description">
        </div>
        <div class="form-group">
            <label for="pages">Pages:</label>
            <input type="tpagesxt" class="form-control" id="pages" name="pages" placeholder="Pages">
        </div>
       
        <button type="submit" class="btn btn-primary">Enviar</button>
    </form>

views/books/index.php
<?php
    use yii\helpers\Url;
    /* @var $this yii\web\View */
    ?>
    <h1 class="text text-center">Books</h1>
    <a href="<?= Url::to(['books/create']);?>" class="btn btn-success">New book</a>
    <table class="table">
        <thead>
        <tr>
            <th>#</th>
            <th>Title</th>
            <th>Description</th>
            <th>Author</th>
            <th>Pages</th>
            <th>Create At</th>
            <th>-</th>
        </tr>
        </thead>
        <tbody>
            <?php foreach($books as $book): ?>
                <tr>
                    <td><?= $book->id; ?></td>
                    <td><?= $book->title; ?></td>
                    <td><?= $book->description; ?></td>
                    <td><?= $book->author; ?></td>
                    <td><?= $book->pages; ?></td>
                    <td><?= $book->created_at; ?></td>
                    <td>
                        <a href="<?= Url::to(['books/update', 'id' => $book->id]);?>">Edit </a> | 
                        <a href="<?= Url::to(['books/delete', 'id' => $book->id]);?>">Delete </a> 
                    </td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>

views/books/update.php
<?php
    /* @var $this yii\web\View */
    use yii\helpers\Url;
    
    ?>
    <h1>New book</h1>


    <form name="form" method="post" action="<?= Url::to(['books/update', 'id' => $model->id]); ?>">

    <input type="hidden" name="<?= \yii::$app->request->csrfParam; ?>" 
                value="<?= \yii::$app->request->csrfToken; ?>">

        <div class="form-group">
            <label for="title">Titlr:</label>
            <input type="text" class="form-control" id="title" name="title" placeholder="title" value="<?= $model->title; ?>">
        </div>
        <div class="form-group">
            <label for="author">Author:</label>
            <input type="text" class="form-control" id="author" name="author" placeholder="Author" value="<?= $model->author; ?>">
        </div>
        <div class="form-group">
            <label for="description">Description:</label>
            <input type="text" class="form-control" id="description" name="description" placeholder="Description" value="<?= $model->description; ?>">
        </div>
        <div class="form-group">
            <label for="pages">Pages:</label>
            <input type="tpagesxt" class="form-control" id="pages" name="pages" placeholder="Pages" value="<?= $model->pages; ?>">
        </div>
       
        <button type="submit" class="btn btn-primary">Enviar</button>
    </form>